﻿Type=Service
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Private usocket As UDPSocket
	Public temperature, pressure As Float
End Sub

Sub Service_Create
	usocket.Initialize("usocket", 51042, 8192)
End Sub

Private Sub usocket_PacketArrived (Packet As UDPPacket)
	If Packet.Length <> 8 Then
		Log("Invalid data")
		Return
	Else
		Dim raf As RandomAccessFile
		raf.Initialize3(Packet.Data, True)
		raf.CurrentPosition = Packet.Offset
		
		'B4R double = B4X float
		temperature = raf.ReadFloat(raf.CurrentPosition)
		pressure = raf.ReadFloat(raf.CurrentPosition)
		CallSub(Main, "StateChanged")
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
